org.eclipse.emf.compare.ide.ui.source

## Interface IEMFComparisonSource

    public interface IEMFComparisonSource

This adapter is used by EMFCompare to check if a compare button especially for EMFCompare should be added.

Since:
  4.2

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` A human readable name for the comparison source.
`StorageTraversal` `getStorageTraversal()` The `StorageTraversal` which shall be used by EMFCompare.

### Method Detail

#### getName

    String getName()

A human readable name for the comparison source.

Returns:
  The name of this comparison source.

#### getStorageTraversal

    StorageTraversal getStorageTraversal()

The `StorageTraversal` which shall be used by EMFCompare.

Returns:
  The traversal which shall be used by EMFCompare.